from django.contrib import admin
from .models import Catalog, Region, Season


class CatalogAdmin(admin.ModelAdmin):
    list_display = ['name', 'owner', 'season', 'region']
    # exclude = ['data']


class RegionAdmin(admin.ModelAdmin):
    list_display = ['id', 'name', 'ordering']
    ordering = ['ordering',]


class SeasonAdmin(admin.ModelAdmin):
    list_display = ['id', 'name', 'ordering']
    ordering = ['ordering',]


admin.site.register(Catalog, CatalogAdmin)
admin.site.register(Season, SeasonAdmin)
admin.site.register(Region, RegionAdmin)
